installing Perl4.036 on HPUX 9.0 - HP9000/700 
Author Message
 installing Perl4.036 on HPUX 9.0 - HP9000/700

Hi all,

I need some (extensive, I fear) help on installing perl 4.0.36 on
the HP9000/700 series with HPUX 9.0.

I have run the configure script which ends smoothly (giving compiler options
-D_HPUX_SOURCE -D_POSIX_SOURCE) and my own prefixes. otherwise I have assumed
the computer smarter than I, i.e. I accepted all defaults. Make depend also runs
fine, but then...

I get warnings of pointers not being assignment compatible in
        doarg.c (995 and 1009) - for index
        doio.c  (2093)         - for select

and then while compiling eval.c:
%
% cc: "eval.c", line 2924: error 1527: Incompatible types in cast.
% cc: "eval.c", line 2927: error 1527: Incompatible types in cast.
% *** Error code 1
%
% Stop.

This is because getpwent and setpwent are void type. What do I do now???
Did someone have the same/other/no problems compiling, does anyone now what to
do?

Thanks very much for any help!!!

Andreas--
--> Andreas A. Buykx                  Electrical Materials Laboratory <--

--> tel. +31-(0)15-78.73.07                             P.O. Box 5031 <--
--> fax. +31-(0)15-78.56.91            2600 GA Delft, The Netherlands <--
---------------------> That's all, folks !!! <---------------------------



Sat, 11 Jan 1997 21:49:25 GMT  
 
 [ 1 post ] 

 Relevant Pages 

1. Perl Undump for HP9000/700

2. Perl4.036, HPUX, fails dbm test

3. Problems with building perl4.036 on hpux

4. HPUX: perl -d coredumps on 807, OK on 700

5. Problem:Perl4.036 on Solaris 2.5 for Oraperl/WDB install

6. Need help on Installing perl5.0 on HP9000 /735 Hpux 9.03

7. Malformed cmd links warning in Perl4.036

8. perl4.036: fails to return arrays?

9. 'pwd'-Problem with Perl4.036

10. socket() fails on Solaris 2.3, perl4.036

11. Load error with Perl4.036 on Sun 4.1.3

12. Compiling Perl4.036 on a Sun running 4.01

 

 
Powered by phpBB® Forum Software